Vaults - Create Or Update
Recovery Services コンテナーを作成または更新します。
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.RecoveryServices/vaults/{vaultName}?api-version=2025-08-01
URI パラメーター
| 名前 | / | 必須 | 型 | 説明 |
|---|---|---|---|---|
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
リソース グループの名前。 名前は大文字と小文字が区別されます。 |
|
subscription
|
path | True |
string minLength: 1 |
ターゲット サブスクリプションの ID。 |
|
vault
|
path | True |
string |
Vault の名前 |
|
api-version
|
query | True |
string minLength: 1 |
この操作に使用する API バージョン。 |
要求ヘッダー
| 名前 | 必須 | 型 | 説明 |
|---|---|---|---|
| x-ms-authorization-auxiliary |
string |
要求本文
| 名前 | 必須 | 型 | 説明 |
|---|---|---|---|
| location | True |
string |
リソースが存在する地理的な場所 |
| etag |
string |
etag をリソースに付けます。 |
|
| identity |
リソースの ID。 |
||
| properties |
コンテナーのプロパティ。 |
||
| sku |
各 Azure リソースの一意のシステム識別子を識別します。 |
||
| tags |
object |
リソース タグ。 |
応答
| 名前 | 型 | 説明 |
|---|---|---|
| 200 OK |
リソース 'Vault' の更新操作が成功しました |
|
| 201 Created |
リソース 'Vault' の作成操作が成功しました ヘッダー
|
|
| Other Status Codes |
予期しないエラー応答。 |
セキュリティ
azure_auth
Azure Active Directory OAuth2 フロー。
型:
oauth2
フロー:
implicit
Authorization URL (承認 URL):
https://login.microsoftonline.com/common/oauth2/authorize
スコープ
| 名前 | 説明 |
|---|---|
| user_impersonation | ユーザー アカウントを偽装する |
例
Create or Update Recovery Services vault
要求のサンプル
PUT https://management.azure.com/subscriptions/77777777-b0c6-47a2-b37c-d8e65a629c18/resourceGroups/Default-RecoveryServices-ResourceGroup/providers/Microsoft.RecoveryServices/vaults/swaggerExample?api-version=2025-08-01
{
"identity": {
"type": "SystemAssigned"
},
"location": "West US",
"properties": {
"publicNetworkAccess": "Enabled"
},
"sku": {
"name": "Standard"
}
}
応答のサンプル
{
"name": "swaggerExample",
"type": "Microsoft.RecoveryServices/vaults",
"etag": "W/\"datetime'2017-12-15T12%3A36%3A51.68Z'\"",
"id": "/subscriptions/77777777-b0c6-47a2-b37c-d8e65a629c18/resourceGroups/Default-RecoveryServices-ResourceGroup/providers/Microsoft.RecoveryServices/vaults/swaggerExample",
"identity": {
"type": "SystemAssigned",
"principalId": "3137d6c7-5d6c-411c-b934-7a2a729ee247",
"tenantId": "d676e86e-2206-4a7c-999c-ece52c144b5b"
},
"location": "westus",
"properties": {
"provisioningState": "Succeeded",
"publicNetworkAccess": "Enabled"
},
"sku": {
"name": "RS0",
"tier": "Standard"
},
"tags": {
"TestUpdatedKey": "TestUpdatedValue"
}
}
{
"name": "swaggerExample",
"type": "Microsoft.RecoveryServices/vaults",
"etag": "W/\"datetime'2017-12-15T12%3A36%3A51.68Z'\"",
"id": "/subscriptions/77777777-b0c6-47a2-b37c-d8e65a629c18/resourceGroups/Default-RecoveryServices-ResourceGroup/providers/Microsoft.RecoveryServices/vaults/swaggerExample",
"identity": {
"type": "SystemAssigned",
"principalId": "3137d6c7-5d6c-411c-b934-7a2a729ee247",
"tenantId": "d676e86e-2206-4a7c-999c-ece52c144b5b"
},
"location": "westus",
"properties": {
"provisioningState": "Succeeded",
"publicNetworkAccess": "Enabled"
},
"sku": {
"name": "RS0",
"tier": "Standard"
},
"tags": {
"TestUpdatedKey": "TestUpdatedValue"
}
}
Create or Update Vault performing critical operation With MUA
要求のサンプル
PUT https://management.azure.com/subscriptions/77777777-b0c6-47a2-b37c-d8e65a629c18/resourceGroups/Default-RecoveryServices-ResourceGroup/providers/Microsoft.RecoveryServices/vaults/swaggerExample?api-version=2025-08-01
{
"identity": {
"type": "UserAssigned",
"userAssignedIdentities": {
"/subscriptions/85bf5e8c-3084-4f42-add2-746ebb7e97b2/resourcegroups/defaultrg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/examplemsi": {}
}
},
"location": "West US",
"properties": {
"encryption": {
"infrastructureEncryption": "Enabled",
"kekIdentity": {
"userAssignedIdentity": "/subscriptions/85bf5e8c-3084-4f42-add2-746ebb7e97b2/resourcegroups/defaultrg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/examplemsi"
},
"keyVaultProperties": {
"keyUri": "https://cmk2xkv.vault.azure.net/keys/Key1/0767b348bb1a4c07baa6c4ec0055d2b3"
}
},
"publicNetworkAccess": "Enabled",
"resourceGuardOperationRequests": [
"/subscriptions/38304e13-357e-405e-9e9a-220351dcce8c/resourcegroups/ankurResourceGuard1/providers/Microsoft.DataProtection/resourceGuards/ResourceGuard38-1/modifyEncryptionSettings/default"
]
},
"sku": {
"name": "Standard"
}
}
応答のサンプル
{
"name": "swaggerExample",
"type": "Microsoft.RecoveryServices/vaults",
"etag": "W/\"datetime'2017-12-15T12%3A36%3A51.68Z'\"",
"id": "/subscriptions/77777777-b0c6-47a2-b37c-d8e65a629c18/resourceGroups/Default-RecoveryServices-ResourceGroup/providers/Microsoft.RecoveryServices/vaults/swaggerExample",
"identity": {
"type": "UserAssigned",
"userAssignedIdentities": {
"/subscriptions/85bf5e8c-3084-4f42-add2-746ebb7e97b2/resourcegroups/defaultrg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/examplemsi": {
"clientId": "fbe75b66-01c5-4f87-a220-233af3270436",
"principalId": "075a0ca6-43f6-4434-9abf-c9b1b79f9219"
}
}
},
"location": "westus",
"properties": {
"encryption": {
"infrastructureEncryption": "Enabled",
"kekIdentity": {
"useSystemAssignedIdentity": false,
"userAssignedIdentity": "/subscriptions/85bf5e8c-3084-4f42-add2-746ebb7e97b2/resourcegroups/defaultrg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/examplemsi"
},
"keyVaultProperties": {
"keyUri": "https://cmk2xkv.vault.azure.net/keys/Key1/0767b348bb1a4c07baa6c4ec0055d2b3"
}
},
"provisioningState": "Succeeded",
"publicNetworkAccess": "Enabled"
},
"sku": {
"name": "Standard"
},
"tags": {
"TestUpdatedKey": "TestUpdatedValue"
}
}
Azure-AsyncOperation: /subscriptions/77777777-b0c6-47a2-b37c-d8e65a629c18/resourceGroups/Default-RecoveryServices-ResourceGroup/providers/Microsoft.RecoveryServices/vaults/swaggerExample/operationStatus/YWUzNDFkMzQtZmM5OS00MmUyLWEzNDMtZGJkMDIxZjlmZjgzOzdmYzBiMzhmLTc2NmItNDM5NS05OWQ1LTVmOGEzNzg4MWQzNA==?api-version=2015-03-15
Retry-After: 10
{
"name": "swaggerExample",
"type": "Microsoft.RecoveryServices/vaults",
"etag": "W/\"datetime'2017-12-15T12%3A36%3A51.68Z'\"",
"id": "/subscriptions/77777777-b0c6-47a2-b37c-d8e65a629c18/resourceGroups/Default-RecoveryServices-ResourceGroup/providers/Microsoft.RecoveryServices/vaults/swaggerExample",
"identity": {
"type": "UserAssigned",
"userAssignedIdentities": {
"/subscriptions/85bf5e8c-3084-4f42-add2-746ebb7e97b2/resourcegroups/defaultrg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/examplemsi": {}
}
},
"location": "westus",
"properties": {
"encryption": {
"infrastructureEncryption": "Enabled",
"kekIdentity": {
"useSystemAssignedIdentity": false,
"userAssignedIdentity": "/subscriptions/85bf5e8c-3084-4f42-add2-746ebb7e97b2/resourcegroups/defaultrg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/examplemsi"
},
"keyVaultProperties": {
"keyUri": "https://cmk2xkv.vault.azure.net/keys/Key1/0767b348bb1a4c07baa6c4ec0055d2b3"
}
},
"provisioningState": "Provisioning",
"publicNetworkAccess": "Enabled"
},
"sku": {
"name": "Standard"
},
"tags": {
"TestUpdatedKey": "TestUpdatedValue"
}
}
Create or Update Vault with CustomerManagedKeys
要求のサンプル
PUT https://management.azure.com/subscriptions/77777777-b0c6-47a2-b37c-d8e65a629c18/resourceGroups/Default-RecoveryServices-ResourceGroup/providers/Microsoft.RecoveryServices/vaults/swaggerExample?api-version=2025-08-01
{
"identity": {
"type": "UserAssigned",
"userAssignedIdentities": {
"/subscriptions/85bf5e8c-3084-4f42-add2-746ebb7e97b2/resourcegroups/defaultrg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/examplemsi": {}
}
},
"location": "West US",
"properties": {
"encryption": {
"infrastructureEncryption": "Enabled",
"kekIdentity": {
"userAssignedIdentity": "/subscriptions/85bf5e8c-3084-4f42-add2-746ebb7e97b2/resourcegroups/defaultrg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/examplemsi"
},
"keyVaultProperties": {
"keyUri": "https://cmk2xkv.vault.azure.net/keys/Key1/0767b348bb1a4c07baa6c4ec0055d2b3"
}
},
"publicNetworkAccess": "Enabled"
},
"sku": {
"name": "Standard"
}
}
応答のサンプル
{
"name": "swaggerExample",
"type": "Microsoft.RecoveryServices/vaults",
"etag": "W/\"datetime'2017-12-15T12%3A36%3A51.68Z'\"",
"id": "/subscriptions/77777777-b0c6-47a2-b37c-d8e65a629c18/resourceGroups/Default-RecoveryServices-ResourceGroup/providers/Microsoft.RecoveryServices/vaults/swaggerExample",
"identity": {
"type": "UserAssigned",
"userAssignedIdentities": {
"/subscriptions/85bf5e8c-3084-4f42-add2-746ebb7e97b2/resourcegroups/defaultrg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/examplemsi": {
"clientId": "fbe75b66-01c5-4f87-a220-233af3270436",
"principalId": "075a0ca6-43f6-4434-9abf-c9b1b79f9219"
}
}
},
"location": "westus",
"properties": {
"encryption": {
"infrastructureEncryption": "Enabled",
"kekIdentity": {
"useSystemAssignedIdentity": false,
"userAssignedIdentity": "/subscriptions/85bf5e8c-3084-4f42-add2-746ebb7e97b2/resourcegroups/defaultrg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/examplemsi"
},
"keyVaultProperties": {
"keyUri": "https://cmk2xkv.vault.azure.net/keys/Key1/0767b348bb1a4c07baa6c4ec0055d2b3"
}
},
"provisioningState": "Succeeded",
"publicNetworkAccess": "Enabled"
},
"sku": {
"name": "Standard"
},
"tags": {
"TestUpdatedKey": "TestUpdatedValue"
}
}
Azure-AsyncOperation: /subscriptions/77777777-b0c6-47a2-b37c-d8e65a629c18/resourceGroups/Default-RecoveryServices-ResourceGroup/providers/Microsoft.RecoveryServices/vaults/swaggerExample/operationStatus/YWUzNDFkMzQtZmM5OS00MmUyLWEzNDMtZGJkMDIxZjlmZjgzOzdmYzBiMzhmLTc2NmItNDM5NS05OWQ1LTVmOGEzNzg4MWQzNA==?api-version=2015-03-15
Retry-After: 10
{
"name": "swaggerExample",
"type": "Microsoft.RecoveryServices/vaults",
"etag": "W/\"datetime'2017-12-15T12%3A36%3A51.68Z'\"",
"id": "/subscriptions/77777777-b0c6-47a2-b37c-d8e65a629c18/resourceGroups/Default-RecoveryServices-ResourceGroup/providers/Microsoft.RecoveryServices/vaults/swaggerExample",
"identity": {
"type": "UserAssigned",
"userAssignedIdentities": {
"/subscriptions/85bf5e8c-3084-4f42-add2-746ebb7e97b2/resourcegroups/defaultrg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/examplemsi": {}
}
},
"location": "westus",
"properties": {
"encryption": {
"infrastructureEncryption": "Enabled",
"kekIdentity": {
"useSystemAssignedIdentity": false,
"userAssignedIdentity": "/subscriptions/85bf5e8c-3084-4f42-add2-746ebb7e97b2/resourcegroups/defaultrg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/examplemsi"
},
"keyVaultProperties": {
"keyUri": "https://cmk2xkv.vault.azure.net/keys/Key1/0767b348bb1a4c07baa6c4ec0055d2b3"
}
},
"provisioningState": "Provisioning",
"publicNetworkAccess": "Enabled"
},
"sku": {
"name": "Standard"
},
"tags": {
"TestUpdatedKey": "TestUpdatedValue"
}
}
Create or Update Vault With Monitoring Setting
要求のサンプル
PUT https://management.azure.com/subscriptions/77777777-b0c6-47a2-b37c-d8e65a629c18/resourceGroups/Default-RecoveryServices-ResourceGroup/providers/Microsoft.RecoveryServices/vaults/swaggerExample?api-version=2025-08-01
{
"identity": {
"type": "SystemAssigned"
},
"location": "West US",
"properties": {
"monitoringSettings": {
"azureMonitorAlertSettings": {
"alertsForAllFailoverIssues": "Disabled",
"alertsForAllJobFailures": "Enabled",
"alertsForAllReplicationIssues": "Enabled"
},
"classicAlertSettings": {
"alertsForCriticalOperations": "Disabled",
"emailNotificationsForSiteRecovery": "Enabled"
}
},
"publicNetworkAccess": "Enabled"
},
"sku": {
"name": "Standard"
}
}
応答のサンプル
{
"name": "swaggerExample",
"type": "Microsoft.RecoveryServices/vaults",
"etag": "W/\"datetime'2017-12-15T12%3A36%3A51.68Z'\"",
"id": "/subscriptions/77777777-b0c6-47a2-b37c-d8e65a629c18/resourceGroups/Default-RecoveryServices-ResourceGroup/providers/Microsoft.RecoveryServices/vaults/swaggerExample",
"identity": {
"type": "SystemAssigned",
"principalId": "3137d6c7-5d6c-411c-b934-7a2a729ee247",
"tenantId": "d676e86e-2206-4a7c-999c-ece52c144b5b"
},
"location": "westus",
"properties": {
"monitoringSettings": {
"azureMonitorAlertSettings": {
"alertsForAllFailoverIssues": "Disabled",
"alertsForAllJobFailures": "Enabled",
"alertsForAllReplicationIssues": "Enabled"
},
"classicAlertSettings": {
"alertsForCriticalOperations": "Disabled",
"emailNotificationsForSiteRecovery": "Enabled"
}
},
"provisioningState": "Succeeded",
"publicNetworkAccess": "Enabled"
},
"sku": {
"name": "RS0",
"tier": "Standard"
},
"tags": {
"TestUpdatedKey": "TestUpdatedValue"
}
}
{
"name": "swaggerExample",
"type": "Microsoft.RecoveryServices/vaults",
"etag": "W/\"datetime'2017-12-15T12%3A36%3A51.68Z'\"",
"id": "/subscriptions/77777777-b0c6-47a2-b37c-d8e65a629c18/resourceGroups/Default-RecoveryServices-ResourceGroup/providers/Microsoft.RecoveryServices/vaults/swaggerExample",
"identity": {
"type": "SystemAssigned",
"principalId": "3137d6c7-5d6c-411c-b934-7a2a729ee247",
"tenantId": "d676e86e-2206-4a7c-999c-ece52c144b5b"
},
"location": "westus",
"properties": {
"monitoringSettings": {
"azureMonitorAlertSettings": {
"alertsForAllFailoverIssues": "Disabled",
"alertsForAllJobFailures": "Enabled",
"alertsForAllReplicationIssues": "Enabled"
},
"classicAlertSettings": {
"alertsForCriticalOperations": "Disabled",
"emailNotificationsForSiteRecovery": "Enabled"
}
},
"provisioningState": "Succeeded",
"publicNetworkAccess": "Enabled"
},
"sku": {
"name": "RS0",
"tier": "Standard"
},
"tags": {
"TestUpdatedKey": "TestUpdatedValue"
}
}
Create or Update Vault With Redundancy Setting
要求のサンプル
PUT https://management.azure.com/subscriptions/77777777-b0c6-47a2-b37c-d8e65a629c18/resourceGroups/Default-RecoveryServices-ResourceGroup/providers/Microsoft.RecoveryServices/vaults/swaggerExample?api-version=2025-08-01
{
"identity": {
"type": "SystemAssigned"
},
"location": "West US",
"properties": {
"publicNetworkAccess": "Enabled",
"redundancySettings": {
"crossRegionRestore": "Enabled",
"standardTierStorageRedundancy": "GeoRedundant"
}
},
"sku": {
"name": "Standard"
}
}
応答のサンプル
{
"name": "swaggerExample",
"type": "Microsoft.RecoveryServices/vaults",
"etag": "W/\"datetime'2017-12-15T12%3A36%3A51.68Z'\"",
"id": "/subscriptions/77777777-b0c6-47a2-b37c-d8e65a629c18/resourceGroups/Default-RecoveryServices-ResourceGroup/providers/Microsoft.RecoveryServices/vaults/swaggerExample",
"identity": {
"type": "SystemAssigned",
"principalId": "3137d6c7-5d6c-411c-b934-7a2a729ee247",
"tenantId": "d676e86e-2206-4a7c-999c-ece52c144b5b"
},
"location": "westus",
"properties": {
"provisioningState": "Succeeded",
"publicNetworkAccess": "Enabled",
"redundancySettings": {
"crossRegionRestore": "Enabled",
"standardTierStorageRedundancy": "GeoRedundant"
}
},
"sku": {
"name": "RS0",
"tier": "Standard"
},
"tags": {
"TestUpdatedKey": "TestUpdatedValue"
}
}
{
"name": "swaggerExample",
"type": "Microsoft.RecoveryServices/vaults",
"etag": "W/\"datetime'2017-12-15T12%3A36%3A51.68Z'\"",
"id": "/subscriptions/77777777-b0c6-47a2-b37c-d8e65a629c18/resourceGroups/Default-RecoveryServices-ResourceGroup/providers/Microsoft.RecoveryServices/vaults/swaggerExample",
"identity": {
"type": "SystemAssigned",
"principalId": "3137d6c7-5d6c-411c-b934-7a2a729ee247",
"tenantId": "d676e86e-2206-4a7c-999c-ece52c144b5b"
},
"location": "westus",
"properties": {
"provisioningState": "Succeeded",
"publicNetworkAccess": "Enabled",
"redundancySettings": {
"crossRegionRestore": "Enabled",
"standardTierStorageRedundancy": "GeoRedundant"
}
},
"sku": {
"name": "RS0",
"tier": "Standard"
},
"tags": {
"TestUpdatedKey": "TestUpdatedValue"
}
}
Create or Update Vault with Source scan configuration
要求のサンプル
PUT https://management.azure.com/subscriptions/77777777-b0c6-47a2-b37c-d8e65a629c18/resourceGroups/Default-RecoveryServices-ResourceGroup/providers/Microsoft.RecoveryServices/vaults/swaggerExample?api-version=2025-08-01
{
"identity": {
"type": "SystemAssigned"
},
"location": "West US",
"properties": {
"publicNetworkAccess": "Enabled",
"securitySettings": {
"sourceScanConfiguration": {
"sourceScanIdentity": {
"operationIdentityType": "SystemAssigned"
},
"state": "Enabled"
}
}
},
"sku": {
"name": "Standard"
}
}
応答のサンプル
{
"name": "swaggerExample",
"type": "Microsoft.RecoveryServices/vaults",
"etag": "W/\"datetime'2025-02-15T12%3A36%3A51.68Z'\"",
"id": "/subscriptions/77777777-b0c6-47a2-b37c-d8e65a629c18/resourceGroups/Default-RecoveryServices-ResourceGroup/providers/Microsoft.RecoveryServices/vaults/swaggerExample",
"identity": {
"type": "SystemAssigned",
"principalId": "1be097b0-eb5e-4927-bac2-b24ee8716f64",
"tenantId": "72f988bf-86f1-41af-91ab-2d7cd011db47"
},
"location": "westus",
"properties": {
"provisioningState": "Succeeded",
"publicNetworkAccess": "Enabled",
"securitySettings": {
"sourceScanConfiguration": {
"sourceScanIdentity": {
"operationIdentityType": "SystemAssigned"
},
"state": "Enabled"
}
}
},
"sku": {
"name": "Standard"
},
"tags": {
"TestUpdatedKey": "TestUpdatedValue"
}
}
Azure-AsyncOperation: /subscriptions/77777777-b0c6-47a2-b37c-d8e65a629c18/resourceGroups/Default-RecoveryServices-ResourceGroup/providers/Microsoft.RecoveryServices/vaults/swaggerExample/operationStatus/YWUzNDFkMzQtZmM5OS00MmUyLWEzNDMtZGJkMDIxZjlmZjgzOzdmYzBiMzhmLTc2NmItNDM5NS05OWQ1LTVmOGEzNzg4MWQzNA==?api-version=2015-03-15
Retry-After: 10
{
"name": "swaggerExample",
"type": "Microsoft.RecoveryServices/vaults",
"etag": "W/\"datetime'2017-12-15T12%3A36%3A51.68Z'\"",
"id": "/subscriptions/77777777-b0c6-47a2-b37c-d8e65a629c18/resourceGroups/Default-RecoveryServices-ResourceGroup/providers/Microsoft.RecoveryServices/vaults/swaggerExample",
"identity": {
"type": "SystemAssigned",
"principalId": "1be097b0-eb5e-4927-bac2-b24ee8716f64",
"tenantId": "72f988bf-86f1-41af-91ab-2d7cd011db47"
},
"location": "westus",
"properties": {
"provisioningState": "Provisioning",
"publicNetworkAccess": "Enabled",
"securitySettings": {
"sourceScanConfiguration": {
"sourceScanIdentity": {
"operationIdentityType": "SystemAssigned"
},
"state": "Enabled"
}
}
},
"sku": {
"name": "Standard"
},
"tags": {
"TestUpdatedKey": "TestUpdatedValue"
}
}
Create or Update Vault with User Assigned Identity
要求のサンプル
PUT https://management.azure.com/subscriptions/77777777-b0c6-47a2-b37c-d8e65a629c18/resourceGroups/Default-RecoveryServices-ResourceGroup/providers/Microsoft.RecoveryServices/vaults/swaggerExample?api-version=2025-08-01
{
"identity": {
"type": "UserAssigned",
"userAssignedIdentities": {
"/subscriptions/85bf5e8c-3084-4f42-add2-746ebb7e97b2/resourcegroups/defaultrg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/examplemsi": {}
}
},
"location": "West US",
"properties": {
"publicNetworkAccess": "Enabled"
},
"sku": {
"name": "Standard"
}
}
応答のサンプル
{
"name": "swaggerExample",
"type": "Microsoft.RecoveryServices/vaults",
"etag": "W/\"datetime'2017-12-15T12%3A36%3A51.68Z'\"",
"id": "/subscriptions/77777777-b0c6-47a2-b37c-d8e65a629c18/resourceGroups/Default-RecoveryServices-ResourceGroup/providers/Microsoft.RecoveryServices/vaults/swaggerExample",
"identity": {
"type": "UserAssigned",
"userAssignedIdentities": {
"/subscriptions/85bf5e8c-3084-4f42-add2-746ebb7e97b2/resourcegroups/defaultrg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/examplemsi": {
"clientId": "fbe75b66-01c5-4f87-a220-233af3270436",
"principalId": "075a0ca6-43f6-4434-9abf-c9b1b79f9219"
}
}
},
"location": "westus",
"properties": {
"provisioningState": "Succeeded",
"publicNetworkAccess": "Enabled"
},
"sku": {
"name": "Standard"
},
"tags": {
"TestUpdatedKey": "TestUpdatedValue"
}
}
Azure-AsyncOperation: /subscriptions/77777777-b0c6-47a2-b37c-d8e65a629c18/resourceGroups/Default-RecoveryServices-ResourceGroup/providers/Microsoft.RecoveryServices/vaults/swaggerExample/operationStatus/YWUzNDFkMzQtZmM5OS00MmUyLWEzNDMtZGJkMDIxZjlmZjgzOzdmYzBiMzhmLTc2NmItNDM5NS05OWQ1LTVmOGEzNzg4MWQzNA==?api-version=2015-03-15
Retry-After: 10
{
"name": "swaggerExample",
"type": "Microsoft.RecoveryServices/vaults",
"etag": "W/\"datetime'2017-12-15T12%3A36%3A51.68Z'\"",
"id": "/subscriptions/77777777-b0c6-47a2-b37c-d8e65a629c18/resourceGroups/Default-RecoveryServices-ResourceGroup/providers/Microsoft.RecoveryServices/vaults/swaggerExample",
"identity": {
"type": "UserAssigned",
"userAssignedIdentities": {
"/subscriptions/85bf5e8c-3084-4f42-add2-746ebb7e97b2/resourcegroups/defaultrg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/examplemsi": {}
}
},
"location": "westus",
"properties": {
"provisioningState": "Provisioning",
"publicNetworkAccess": "Enabled"
},
"sku": {
"name": "Standard"
},
"tags": {
"TestUpdatedKey": "TestUpdatedValue"
}
}
定義
| 名前 | 説明 |
|---|---|
|
Alerts |
|
|
Associated |
操作に使用する ID の詳細 |
|
Azure |
Azure Monitor ベースのアラートの設定 |
|
Backup |
バックアップ ストレージのバージョン |
|
BCDRSecurity |
ビジネス継続性とディザスター リカバリーのための Recovery Services コンテナーのセキュリティ レベル |
|
Classic |
クラシック アラートの設定 |
|
Cloud |
Azure Backup からのエラー応答。 |
|
Cmk |
CMK に使用される ID の詳細 |
|
Cmk |
CMK をホストする Key Vault のプロパティ |
|
created |
リソースを作成した ID の種類。 |
|
Cross |
コンテナーでリージョン間の復元が有効になっているかどうかを示すフラグ |
|
Cross |
サブスクリプション間の復元設定の設定 |
|
Cross |
|
|
Enhanced |
|
| Error |
リソース管理エラー応答。 |
|
Error |
リソース管理エラーの追加情報。 |
|
Identity |
リソースの ID。 |
|
Identity |
操作に使用する ID の種類。 |
|
Immutability |
コンテナーの不変設定 |
|
Immutability |
|
|
Infrastructure |
二重暗号化状態の有効化/無効化 |
|
Monitoring |
コンテナーの監視設定 |
|
Multi |
コンテナーの MUA 設定 |
|
Private |
プライベート エンドポイント接続にリンクされているプライベート エンドポイント ネットワーク リソース。 |
|
Private |
プライベート エンドポイント接続応答プロパティ。 |
|
Private |
状態を取得または設定します。 |
|
Private |
privateEndpointConnections List の要素として Vault プロパティに格納される情報。 |
|
Private |
プライベート リンク サービスの接続状態を取得または設定します。 |
|
Provisioning |
プライベート エンドポイント接続のプロビジョニング状態を取得または設定します。 |
|
Public |
プロパティを使用して、パブリック クライアントからのリソース プロバイダーの受信ネットワーク トラフィックを有効または無効にする |
|
Resource |
使用されるマネージド ID の種類。 型 'SystemAssigned, UserAssigned' には、暗黙的に作成された ID とユーザー割り当て ID のセットの両方が含まれます。 型 'None' は、すべての ID を削除します。 |
|
Resource |
移動操作後のリソースの状態 |
|
Restore |
コンテナーの復元設定 |
|
Secure |
Recovery Services コンテナーのセキュリティ スコア |
|
Security |
コンテナーのセキュリティ設定 |
| Sku |
各 Azure リソースの一意のシステム識別子を識別します。 |
|
Sku |
SKU の名前は RS0 (Recovery Services 0 番目のバージョン) で、レベルは Standard レベルです。 バックエンド ストレージの冗長性やその他のコンテナー設定には影響しません。 ストレージの冗長性を管理するには、backupstorageconfig を使用します。 |
|
Soft |
コンテナーの論理的な削除の設定 |
|
Soft |
|
|
Source |
コンテナーのソース スキャン構成 |
|
Standard |
コンテナーのストレージ冗長設定 |
| State | |
|
system |
リソースの作成と最後の変更に関連するメタデータ。 |
|
Trigger |
コンテナーのアップグレードがトリガーされた方法。 |
|
Upgrade |
コンテナーのアップグレードの詳細。 |
|
User |
サービスのユーザーによって管理されるリソース ID。 |
| Vault |
リソース プロバイダーから返されるリソース情報。 |
|
Vault |
バックアップのプライベート エンドポイントの状態。 |
|
Vault |
コンテナーのプロパティ。 |
|
Vault |
リソースのカスタマー マネージド キーの詳細。 |
|
Vault |
Azure リソースで実行された最新の移動操作の詳細 |
|
Vault |
コンテナーの冗長性設定 |
|
Vault |
コンテナーの AzureBackup、AzureBackup_secondary、または AzureSiteRecovery のサブリソースの種類 |
|
Vault |
コンテナーのアップグレード操作の状態。 |
AlertsState
| 値 | 説明 |
|---|---|
| Enabled | |
| Disabled |
AssociatedIdentity
操作に使用する ID の詳細
| 名前 | 型 | 説明 |
|---|---|---|
| operationIdentityType |
操作に使用する ID の種類。 |
|
| userAssignedIdentity |
string |
operationIdentityType が UserAssigned の場合に操作に使用するユーザー割り当て ID。 |
AzureMonitorAlertSettings
Azure Monitor ベースのアラートの設定
| 名前 | 型 | 説明 |
|---|---|---|
| alertsForAllFailoverIssues | ||
| alertsForAllJobFailures | ||
| alertsForAllReplicationIssues |
BackupStorageVersion
バックアップ ストレージのバージョン
| 値 | 説明 |
|---|---|
| V1 | |
| V2 | |
| Unassigned |
BCDRSecurityLevel
ビジネス継続性とディザスター リカバリーのための Recovery Services コンテナーのセキュリティ レベル
| 値 | 説明 |
|---|---|
| Poor | |
| Fair | |
| Good | |
| Excellent |
ClassicAlertSettings
クラシック アラートの設定
| 名前 | 型 | 説明 |
|---|---|---|
| alertsForCriticalOperations | ||
| emailNotificationsForSiteRecovery |
CloudError
Azure Backup からのエラー応答。
| 名前 | 型 | 説明 |
|---|---|---|
| error |
リソース管理エラー応答。 |
CmkKekIdentity
CMK に使用される ID の詳細
| 名前 | 型 | 説明 |
|---|---|---|
| useSystemAssignedIdentity |
boolean |
システム割り当て ID を使用する必要があることを示します。 'userAssignedIdentity' フィールドと相互に排他的 |
| userAssignedIdentity |
string |
使用される ID の種類が UserAssigned の場合にアクセス許可を付与するために使用されるユーザー割り当て ID |
CmkKeyVaultProperties
CMK をホストする Key Vault のプロパティ
| 名前 | 型 | 説明 |
|---|---|---|
| keyUri |
string |
カスタマー マネージド キーのキー URI |
createdByType
リソースを作成した ID の種類。
| 値 | 説明 |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
CrossRegionRestore
コンテナーでリージョン間の復元が有効になっているかどうかを示すフラグ
| 値 | 説明 |
|---|---|
| Enabled | |
| Disabled |
CrossSubscriptionRestoreSettings
サブスクリプション間の復元設定の設定
| 名前 | 型 | 説明 |
|---|---|---|
| crossSubscriptionRestoreState |
CrossSubscriptionRestoreState
| 値 | 説明 |
|---|---|
| Enabled | |
| Disabled | |
| PermanentlyDisabled |
EnhancedSecurityState
| 値 | 説明 |
|---|---|
| Invalid | |
| Enabled | |
| Disabled | |
| AlwaysON |
Error
リソース管理エラー応答。
| 名前 | 型 | 説明 |
|---|---|---|
| additionalInfo |
エラーの追加情報。 |
|
| code |
string |
エラー コード。 |
| details |
Error[] |
エラーの詳細。 |
| message |
string |
エラー メッセージ。 |
| target |
string |
エラーターゲット。 |
ErrorAdditionalInfo
リソース管理エラーの追加情報。
| 名前 | 型 | 説明 |
|---|---|---|
| info |
object |
追加情報。 |
| type |
string |
追加情報の種類。 |
IdentityData
リソースの ID。
| 名前 | 型 | 説明 |
|---|---|---|
| principalId |
string |
リソース ID のプリンシパル ID。 |
| tenantId |
string |
リソースのテナント ID。 |
| type |
使用されるマネージド ID の種類。 型 'SystemAssigned, UserAssigned' には、暗黙的に作成された ID とユーザー割り当て ID のセットの両方が含まれます。 型 'None' は、すべての ID を削除します。 |
|
| userAssignedIdentities |
<string,
User |
リソースに関連付けられているユーザー割り当て ID の一覧。 ユーザー割り当て ID ディクショナリ キーは、"/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}" という形式の ARM リソース ID になります。 |
IdentityType
操作に使用する ID の種類。
| 値 | 説明 |
|---|---|
| SystemAssigned | |
| UserAssigned |
ImmutabilitySettings
コンテナーの不変設定
| 名前 | 型 | 説明 |
|---|---|---|
| state |
ImmutabilityState
| 値 | 説明 |
|---|---|
| Disabled | |
| Unlocked | |
| Locked |
InfrastructureEncryptionState
二重暗号化状態の有効化/無効化
| 値 | 説明 |
|---|---|
| Enabled | |
| Disabled |
MonitoringSettings
コンテナーの監視設定
| 名前 | 型 | 説明 |
|---|---|---|
| azureMonitorAlertSettings |
Azure Monitor ベースのアラートの設定 |
|
| classicAlertSettings |
クラシック アラートの設定 |
MultiUserAuthorization
コンテナーの MUA 設定
| 値 | 説明 |
|---|---|
| Invalid | |
| Enabled | |
| Disabled |
PrivateEndpoint
プライベート エンドポイント接続にリンクされているプライベート エンドポイント ネットワーク リソース。
| 名前 | 型 | 説明 |
|---|---|---|
| id |
string |
ID を取得または設定します。 |
PrivateEndpointConnection
プライベート エンドポイント接続応答プロパティ。
| 名前 | 型 | 説明 |
|---|---|---|
| groupIds |
プライベート エンドポイントのグループ ID |
|
| privateEndpoint |
プライベート エンドポイント接続にリンクされているプライベート エンドポイント ネットワーク リソース。 |
|
| privateLinkServiceConnectionState |
プライベート リンク サービスの接続状態を取得または設定します。 |
|
| provisioningState |
プライベート エンドポイント接続のプロビジョニング状態を取得または設定します。 |
PrivateEndpointConnectionStatus
状態を取得または設定します。
| 値 | 説明 |
|---|---|
| Pending | |
| Approved | |
| Rejected | |
| Disconnected |
PrivateEndpointConnectionVaultProperties
privateEndpointConnections List の要素として Vault プロパティに格納される情報。
| 名前 | 型 | 説明 |
|---|---|---|
| id |
string |
ID subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft の形式。[Service]/{resource}/{resourceName}/privateEndpointConnections/{connectionName}。 |
| location |
string |
プライベート エンドポイント接続の場所 |
| name |
string |
プライベート エンドポイント接続の名前 |
| properties |
プライベート エンドポイント接続応答プロパティ。 |
|
| type |
string |
形式である型 (Microsoft.RecoveryServices/vaults/privateEndpointConnections) |
PrivateLinkServiceConnectionState
プライベート リンク サービスの接続状態を取得または設定します。
| 名前 | 型 | 説明 |
|---|---|---|
| actionsRequired |
string |
必要なアクションを取得または設定します。 |
| description |
string |
説明を取得または設定します。 |
| status |
状態を取得または設定します。 |
ProvisioningState
プライベート エンドポイント接続のプロビジョニング状態を取得または設定します。
| 値 | 説明 |
|---|---|
| Succeeded | |
| Deleting | |
| Failed | |
| Pending |
PublicNetworkAccess
プロパティを使用して、パブリック クライアントからのリソース プロバイダーの受信ネットワーク トラフィックを有効または無効にする
| 値 | 説明 |
|---|---|
| Enabled | |
| Disabled |
ResourceIdentityType
使用されるマネージド ID の種類。 型 'SystemAssigned, UserAssigned' には、暗黙的に作成された ID とユーザー割り当て ID のセットの両方が含まれます。 型 'None' は、すべての ID を削除します。
| 値 | 説明 |
|---|---|
| SystemAssigned | |
| None | |
| UserAssigned | |
| SystemAssigned, UserAssigned |
ResourceMoveState
移動操作後のリソースの状態
| 値 | 説明 |
|---|---|
| Unknown | |
| InProgress | |
| PrepareFailed | |
| CommitFailed | |
| PrepareTimedout | |
| CommitTimedout | |
| MoveSucceeded | |
| Failure | |
| CriticalFailure | |
| PartialSuccess |
RestoreSettings
コンテナーの復元設定
| 名前 | 型 | 説明 |
|---|---|---|
| crossSubscriptionRestoreSettings |
CrossSubscriptionRestore の設定 |
SecureScoreLevel
Recovery Services コンテナーのセキュリティ スコア
| 値 | 説明 |
|---|---|
| None | |
| Minimum | |
| Adequate | |
| Maximum |
SecuritySettings
コンテナーのセキュリティ設定
| 名前 | 型 | 説明 |
|---|---|---|
| immutabilitySettings |
コンテナーの不変設定 |
|
| multiUserAuthorization |
コンテナーの MUA 設定 |
|
| softDeleteSettings |
コンテナーの論理的な削除の設定 |
|
| sourceScanConfiguration |
コンテナーのソース スキャン構成 |
Sku
各 Azure リソースの一意のシステム識別子を識別します。
| 名前 | 型 | 説明 |
|---|---|---|
| capacity |
string |
SKU 容量 |
| family |
string |
SKU ファミリ |
| name |
SKU の名前は RS0 (Recovery Services 0 番目のバージョン) で、レベルは Standard レベルです。 バックエンド ストレージの冗長性やその他のコンテナー設定には影響しません。 ストレージの冗長性を管理するには、backupstorageconfig を使用します。 |
|
| size |
string |
SKU のサイズ |
| tier |
string |
SKU レベル。 |
SkuName
SKU の名前は RS0 (Recovery Services 0 番目のバージョン) で、レベルは Standard レベルです。 バックエンド ストレージの冗長性やその他のコンテナー設定には影響しません。 ストレージの冗長性を管理するには、backupstorageconfig を使用します。
| 値 | 説明 |
|---|---|
| Standard | |
| RS0 |
SoftDeleteSettings
コンテナーの論理的な削除の設定
| 名前 | 型 | 説明 |
|---|---|---|
| enhancedSecurityState | ||
| softDeleteRetentionPeriodInDays |
integer (int32) |
論理的な削除の保有期間 (日数) |
| softDeleteState |
SoftDeleteState
| 値 | 説明 |
|---|---|
| Invalid | |
| Enabled | |
| Disabled | |
| AlwaysON |
SourceScanConfiguration
コンテナーのソース スキャン構成
| 名前 | 型 | 説明 |
|---|---|---|
| sourceScanIdentity |
操作に使用する ID の詳細 |
|
| state |
StandardTierStorageRedundancy
コンテナーのストレージ冗長設定
| 値 | 説明 |
|---|---|
| Invalid | |
| LocallyRedundant | |
| GeoRedundant | |
| ZoneRedundant |
State
| 値 | 説明 |
|---|---|
| Invalid | |
| Enabled | |
| Disabled |
systemData
リソースの作成と最後の変更に関連するメタデータ。
| 名前 | 型 | 説明 |
|---|---|---|
| createdAt |
string (date-time) |
リソース作成のタイムスタンプ (UTC)。 |
| createdBy |
string |
リソースを作成した ID。 |
| createdByType |
リソースを作成した ID の種類。 |
|
| lastModifiedAt |
string (date-time) |
リソースの最終変更のタイムスタンプ (UTC) |
| lastModifiedBy |
string |
リソースを最後に変更した ID。 |
| lastModifiedByType |
リソースを最後に変更した ID の種類。 |
TriggerType
コンテナーのアップグレードがトリガーされた方法。
| 値 | 説明 |
|---|---|
| UserTriggered | |
| ForcedUpgrade |
UpgradeDetails
コンテナーのアップグレードの詳細。
| 名前 | 型 | 説明 |
|---|---|---|
| endTimeUtc |
string (date-time) |
アップグレード操作が終了した UTC 時刻。 |
| lastUpdatedTimeUtc |
string (date-time) |
アップグレード操作の状態が最後に更新された UTC 時刻。 |
| message |
string |
アップグレード操作に関する情報を含むユーザーへのメッセージ。 |
| operationId |
string |
コンテナーのアップグレード操作の ID。 |
| previousResourceId |
string |
アップグレード前のコンテナーのリソース ID。 |
| startTimeUtc |
string (date-time) |
アップグレード操作が開始された UTC 時刻。 |
| status |
コンテナーのアップグレード操作の状態。 |
|
| triggerType |
コンテナーのアップグレードがトリガーされた方法。 |
|
| upgradedResourceId |
string |
アップグレードされたコンテナーのリソース ID。 |
UserIdentity
サービスのユーザーによって管理されるリソース ID。
| 名前 | 型 | 説明 |
|---|---|---|
| clientId |
string |
ユーザー割り当て ID のクライアント ID。 |
| principalId |
string |
ユーザー割り当て ID のプリンシパル ID。 |
Vault
リソース プロバイダーから返されるリソース情報。
| 名前 | 型 | 説明 |
|---|---|---|
| etag |
string |
etag をリソースに付けます。 |
| id |
string |
リソースの完全修飾リソース ID。 例 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| identity |
リソースの ID。 |
|
| location |
string |
リソースが存在する地理的な場所 |
| name |
string |
リソースの名前 |
| properties |
コンテナーのプロパティ。 |
|
| sku |
各 Azure リソースの一意のシステム識別子を識別します。 |
|
| systemData |
createdBy および modifiedBy 情報を含む Azure Resource Manager メタデータ。 |
|
| tags |
object |
リソース タグ。 |
| type |
string |
リソースの型。 例: "Microsoft.Compute/virtualMachines" または "Microsoft.Storage/storageAccounts" |
VaultPrivateEndpointState
バックアップのプライベート エンドポイントの状態。
| 値 | 説明 |
|---|---|
| None | |
| Enabled |
VaultProperties
コンテナーのプロパティ。
| 名前 | 型 | 説明 |
|---|---|---|
| backupStorageVersion |
バックアップ ストレージのバージョン |
|
| bcdrSecurityLevel |
ビジネス継続性とディザスター リカバリーのための Recovery Services コンテナーのセキュリティ レベル |
|
| encryption |
リソースのカスタマー マネージド キーの詳細。 |
|
| monitoringSettings |
コンテナーの監視設定 |
|
| moveDetails |
Azure リソースで実行された最新の移動操作の詳細 |
|
| moveState |
移動操作後のリソースの状態 |
|
| privateEndpointConnections |
プライベート エンドポイント接続の一覧。 |
|
| privateEndpointStateForBackup |
バックアップのプライベート エンドポイントの状態。 |
|
| privateEndpointStateForSiteRecovery |
サイト回復のプライベート エンドポイントの状態。 |
|
| provisioningState |
string |
プロビジョニング状態。 |
| publicNetworkAccess |
プロパティを使用して、パブリック クライアントからのリソース プロバイダーの受信ネットワーク トラフィックを有効または無効にする |
|
| redundancySettings |
コンテナーの冗長性設定 |
|
| resourceGuardOperationRequests |
string[] |
LAC チェックが実行される ResourceGuardOperationRequests |
| restoreSettings |
コンテナーの復元設定 |
|
| secureScore |
Recovery Services コンテナーのセキュリティ スコア |
|
| securitySettings |
コンテナーのセキュリティ設定 |
|
| upgradeDetails |
コンテナーのアップグレードの詳細。 |
VaultPropertiesEncryption
リソースのカスタマー マネージド キーの詳細。
| 名前 | 型 | 説明 |
|---|---|---|
| infrastructureEncryption |
二重暗号化状態の有効化/無効化 |
|
| kekIdentity |
CMK に使用される ID の詳細 |
|
| keyVaultProperties |
CMK をホストする Key Vault のプロパティ |
VaultPropertiesMoveDetails
Azure リソースで実行された最新の移動操作の詳細
| 名前 | 型 | 説明 |
|---|---|---|
| completionTimeUtc |
string (date-time) |
リソース移動操作の終了時刻 |
| operationId |
string |
リソース移動操作の OperationId |
| sourceResourceId |
string |
リソース移動操作のソース リソース |
| startTimeUtc |
string (date-time) |
リソース移動操作の開始時刻 |
| targetResourceId |
string |
リソース移動操作のターゲット リソース |
VaultPropertiesRedundancySettings
コンテナーの冗長性設定
| 名前 | 型 | 説明 |
|---|---|---|
| crossRegionRestore |
コンテナーでリージョン間の復元が有効になっているかどうかを示すフラグ |
|
| standardTierStorageRedundancy |
コンテナーのストレージ冗長設定 |
VaultSubResourceType
コンテナーの AzureBackup、AzureBackup_secondary、または AzureSiteRecovery のサブリソースの種類
| 値 | 説明 |
|---|---|
| AzureBackup | |
| AzureBackup_secondary | |
| AzureSiteRecovery |
VaultUpgradeState
コンテナーのアップグレード操作の状態。
| 値 | 説明 |
|---|---|
| Unknown | |
| InProgress | |
| Upgraded | |
| Failed |